Results 1 to 18 of 18
  1.    #1  
    I am using a T-Mobile UK contract sim with a Rebel Sim Card and just upgraded to 1.2.1 from 1.1.3 and now my phone isn't looking healthy.

    I have a sky background on a screen that says:

    Phone Error
    Your phone is experiencing an error that cannot be resolved.
    Please visit Palm USA - Mobile Products for Consumers, Professionals, and Businesses

    *sad*
  2. #2  
    What happens if you put it back to 1.1.3?
  3.    #3  
    Quote Originally Posted by leowyatt View Post
    What happens if you put it back to 1.1.3?
    I managed to get into the 1.2.1 boot using an O2 sim card, but am unable to revert back to 1.1.3 (or even the original 1.1.2) as I cannot get the phone to kick into the screen with just the big USB logo (not the USB Drive option).
  4. #4  
    So it runs with an o2 SIM but not with the rebelsim, or it doesn't run at all? I'm panicking about whether this is a rebelsim issue or a 1.2.1 issue...
  5. #5  
    have you tried this

    (thanks to Hparsons somewhere else)

    WebOSDoctor is "expecting" to see an inoperative phone, not a weird one. To make your weird phone look inoperative, do this:

    Disconnect the phone from the computer. Pull the battery. Connect the USB cable to the computer. Hold the VOLUME UP button while replacing the battery. When you see the huge USB icon, you're ready to run WebOSDoctor.
    There are four lights.
  6.    #6  
    Quote Originally Posted by jackofspeed View Post
    So it runs with an o2 SIM but not with the rebelsim, or it doesn't run at all? I'm panicking about whether this is a rebelsim issue or a 1.2.1 issue...
    It booted with the O2 sim but was showing as "Phone offline". I remember the same thing happening when I first tried it out with the T-Mobile sim before registering it with the O2 sim so I assume it is just an "I'm an O2 phone and demand an O2 sim" tantrum.

    I am sure I have seen people talking about using 1.2.1 on GSM Pre's although am unsure whether this was UK or German Pre. My Pre had 1.1.2 natively and would not do an auto update to 1.1.3, whereas other in Europe seemed to have had an auto update to 1.1.3 (German/Irish maybe?).

    I am now in the process of installing 1.1.2 again (thanks to windzilla) and will let it update when O2 deem us capable of dealing with the advances in WebOS 1.1.3 or even *gulp* 1.2.1.
  7.    #7  
    Quote Originally Posted by windzilla View Post
    have you tried this

    (thanks to Hparsons somewhere else)

    WebOSDoctor is "expecting" to see an inoperative phone, not a weird one. To make your weird phone look inoperative, do this:

    Disconnect the phone from the computer. Pull the battery. Connect the USB cable to the computer. Hold the VOLUME UP button while replacing the battery. When you see the huge USB icon, you're ready to run WebOSDoctor.
    Cheers for that. I now have big USB icon and WebOS Doctor saying

    Connect your phone directly to your computer with your USB cable.
    Do not remove the battery or disconnect your phone during this process.

    I know this part has taken a while in the past so will post back once it completes and I hopefully have a fully functional Pre on 1.1.2.
  8. #8  
    As an aside, my O2 UK Pre updated to 1.1.3 automatically just fine. I am inclined to think that yours not auto-updating from 1.1.2 may be connected with your problem, but I'm not sure what to suggest thereafter. Sorry!
  9. #9  
    Ive been using the Sprints version of WebOS Doctor to doctor my O2 UK Pre to the 1.2.1 firmware and can confirm it works with no issues at all, apart from app catalog not working, the improvements are very worth it.

    As far as im aware European Pres will be skipping the 1.2 update and going straight to the 1.3 update round mid november as speculation suggests. Not sure what went wrong in your 1.2 flash however as mine works fine, however its on an o2 sim, no rebelsim or the alike used.
  10.    #10  
    Quote Originally Posted by Shadow-360 View Post
    Ive been using the Sprints version of WebOS Doctor to doctor my O2 UK Pre to the 1.2.1 firmware and can confirm it works with no issues at all, apart from app catalog not working, the improvements are very worth it.

    As far as im aware European Pres will be skipping the 1.2 update and going straight to the 1.3 update round mid november as speculation suggests. Not sure what went wrong in your 1.2 flash however as mine works fine, however its on an o2 sim, no rebelsim or the alike used.
    I have it back on 1.1.3 (downloaded for the UK from the Palm site). I may try the 1.2.1 again this evening - What are the improvements?
  11. diggedy's Avatar
    Posts
    246 Posts
    Global Posts
    248 Global Posts
    #11  
    http://forums.precentral.net/palm-pr...ges-found.html

    wow! I hadnt realised just how much my phone was lacking or how many bugs it had
  12. #12  
    Quote Originally Posted by paulhelyerpre View Post
    I have it back on 1.1.3 (downloaded for the UK from the Palm site). I may try the 1.2.1 again this evening - What are the improvements?
    I was going to post that changelog which diggedy posted so you could see, so yeah, them are the changes, well worth the upgrade imho.

    Its faster, animations are smooth and slicker, coupled with the two patches in resolution to the "too many cards error" (Here: http://forums.precentral.net/1977103-post30.html)...wow! thats all i can say.

    Not only that, the many patches, messaging/email landscape view/LED Notifications/browser/call log/screen-brightnes unlinked really make the phone new patch what should have been included in the original fw...I recommend it and personally cannot wait for fw 1.3
  13.    #13  
    Quote Originally Posted by Shadow-360 View Post
    I was going to post that changelog which diggedy posted so you could see, so yeah, them are the changes, well worth the upgrade imho.

    Its faster, animations are smooth and slicker, coupled with the two patches in resolution to the "too many cards error" (Here: http://forums.precentral.net/1977103-post30.html)...wow! thats all i can say.

    Not only that, the many patches, messaging/email landscape view/LED Notifications/browser/call log/screen-brightnes unlinked really make the phone new patch what should have been included in the original fw...I recommend it and personally cannot wait for fw 1.3
    I am convinced - here goes my second attempt. *UNINSTALL PATCHES FIRST NUMBSKULL!!!!*
  14.    #14  
    Oh hello 1.2.1, what do we have here...
  15.    #15  
    Quote Originally Posted by paulhelyerpre View Post
    Oh hello 1.2.1, what do we have here...
    Searching for network > Phone offline > Searching for network > Phone offline > Searching for network > Phone offline > Searching for network > Phone offline > Back to 1.1.3 we go.

    This time, an O2 contract sim *did* work on 1.2.1 but the RSC on T-Mobile *did not* work.

    I cannot think why this would work on O2 but not RSC/TMobile.

    Will add this to the main TurboSIM thread
  16. #16  
    Quote Originally Posted by paulhelyerpre View Post
    Searching for network > Phone offline > Searching for network > Phone offline > Searching for network > Phone offline > Searching for network > Phone offline > Back to 1.1.3 we go.

    This time, an O2 contract sim *did* work on 1.2.1 but the RSC on T-Mobile *did not* work.

    I cannot think why this would work on O2 but not RSC/TMobile.

    Will add this to the main TurboSIM thread
    Hmmm, thats too bad, did you try changing the modes on the rebelsim and trying in the pre on 1.2 fw?
  17.    #17  
    Quote Originally Posted by Shadow-360 View Post
    Hmmm, thats too bad, did you try changing the modes on the rebelsim and trying in the pre on 1.2 fw?
    I didn't. To be honest it was late in the day and I needed to revert back to 1.1.3 to have a working phone for the morning. I am planning on trying again and comparing the contents of the CarrierNetworkSettings.db3 on 1.1.3 and 1.2.1. to see if I can get it working in that way. Is anyone using 1.2.1 able to send me the database so I can compare?
  18. #18  
    Quote Originally Posted by paulhelyerpre View Post
    I didn't. To be honest it was late in the day and I needed to revert back to 1.1.3 to have a working phone for the morning. I am planning on trying again and comparing the contents of the CarrierNetworkSettings.db3 on 1.1.3 and 1.2.1. to see if I can get it working in that way. Is anyone using 1.2.1 able to send me the database so I can compare?
    Good luck with that

    Id help you get the CarrierNetworkSettings.db3 if you required, but youd have to point me in the right direction as i dont have the first clue.

Posting Permissions